{
	"format_version": "1.8.0",
	"render_controllers": {
		"controller.render.butterfly": {
			"arrays": {
				"textures": {
					"Array.skins": [
						"Texture.butterfly0",
						"Texture.butterfly1",
						"Texture.butterfly2",
						"Texture.butterfly3",
						"Texture.butterfly4"
					]
				}
			},
			"geometry": "geometry.butterfly",
			"materials": [
				{
					"*": "material.default"
				}
			],
			"textures": [
				"array.skins[query.variant]"
			]
		}
	}
}